# Get Token's Market Info

## GET /krc20/market/{tick}

> Get the marketplace listing information of the token

```json
{"openapi":"3.0.0","info":{"title":"Kasplex KRC-20 API Documentation","version":"1.0.0"},"tags":[{"name":"Get-Token's-Market-Info"}],"servers":[{"url":"https://tn10api.kasplex.org/v1","description":"Kasplex KRC-20 TN10 Testnet"},{"url":"https://api.kasplex.org/v1","description":"Kasplex KRC-20 Mainnet"}],"paths":{"/krc20/market/{tick}":{"get":{"tags":["Get-Token's-Market-Info"],"description":"Get the marketplace listing information of the token","parameters":[{"name":"tick","schema":{"type":"string"},"in":"path","required":true,"description":"Ticker or contract address of the token (case-insensitive)"},{"name":"next","in":"query","schema":{"type":"string"},"required":false,"description":"Cursor to start next page, returned by the last request."},{"name":"prev","in":"query","schema":{"type":"string"},"required":false,"description":"Cursor to start previous page, returned by the last request."},{"name":"address","in":"query","schema":{"type":"string"},"required":false,"description":"Filtered by address (case-insensitive)"},{"name":"txid","in":"query","schema":{"type":"string"},"required":false,"description":"The transaction ID (UTXO) bound to the order. The parameter \"address\" is required."}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderListResponse"}}}}}}}},"components":{"schemas":{"OrderListResponse":{"type":"object","properties":{"message":{"type":"string"},"prev":{"type":"string"},"next":{"type":"string"},"result":{"type":"array","description":"Order list, up to 50 items. If empty or less than 50, indicating the last page.","items":{"$ref":"#/components/schemas/OrderList"}}}},"OrderList":{"type":"object","properties":{"tick":{"type":"string","description":"Token ticker in \"deploy-mint\" mode"},"ca":{"type":"string","description":"Token contract address in \"deploy-issue\" mode"},"from":{"type":"string","description":"Order origin address"},"amount":{"type":"string","description":"Amount of tokens in the order (with decimals)"},"uTxid":{"type":"string","description":"Transaction ID of the locked UTXO"},"uAddr":{"type":"string","description":"P2SH address of the locked UTXO"},"uAmt":{"type":"string","description":"Amount of the locked UTXO"},"uScript":{"type":"string","description":"Original P2SH script of the locked UTXO"},"opScoreAdd":{"type":"string","description":"OP score when order is created"}}}}}}
```
